Bug 531779 - Xorg process is leaking memory
Summary: Xorg process is leaking memory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-29 13:45 UTC by Dennis Jacobfeuerborn
Modified: 2018-04-11 14:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 15:20:36 UTC


Attachments (Terms of Use)
Xorg.0.log (104.53 KB, text/plain)
2009-10-29 13:46 UTC, Dennis Jacobfeuerborn
no flags Details

Description Dennis Jacobfeuerborn 2009-10-29 13:45:38 UTC
The Xorg process leaks memory to the point where it consumes more than 1.4gb resident memory event though no major applications are running and xrestop shows a consumption of 30mb for "All". There seems to be no way to reclaim that memory other than logging out and back in.

Packages:
xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

Card: Radeon 4850 1GB (r7xx)

I'm not using a xorg.conf (everything auto-configured) and I have attached Xorg.0.log.

Comment 1 Dennis Jacobfeuerborn 2009-10-29 13:46:39 UTC
Created attachment 366621 [details]
Xorg.0.log

Comment 2 Matěj Cepl 2009-11-05 18:39:19 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Anne 2009-11-28 20:05:59 UTC
I have been seeing this problem for the last few weeks on my F11, fully updated system.  I use KDE-fedora repos as well as updates-testing. My xorg is xorg-x11-server-common-1.6.4-0.3.fc11.i586.

At first I suspected firefox, which was often open for long periods, with several tabs.  Then I discovered that konqueror, also with many tabs, seemed to trigger the problem as well.  I found that shutting down nspluginviewer immediately after viewing anything that used it did help considerably.  However, there are also occasions when so far as I'm aware nspluginviewer has not been implicated.

My symptoms are almost identical to those discussed in http://lists.freedesktop.org/archives/xorg/2009-November/048190.html - and top and xrestop readings are also similar to those reported in that thread.

Comment 4 Dennis Jacobfeuerborn 2009-12-07 01:53:51 UTC
This debian bug could explain it:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559408
xserver-xorg-core: X server memory leak

A user there had a similar problem that disappeared after he disabled "custom cursors".

Is the regular gnome desktop in fedora using these and if yes how can i disable them to see if that's really the culprit?

Comment 5 Matěj Cepl 2009-12-08 02:04:04 UTC
note, that there are two graphical cards in the system.

Comment 6 Bug Zapper 2010-04-28 11:00:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 15:20:36 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.